Skip to content

API reference

Get a campaign

campaign_get — One campaign with its step graph (current version), accounts, entry source and funnel counts.

campaign_get · Reads saved data

One campaign with its step graph (current version), accounts, entry source and funnel counts.

REST GET /api/public/v1/campaigns/{campaign_id}
MCP tool campaign_get
Permission needed view — Owner, Manager, Operator, Viewer
Scope group automation:read
Group Campaigns
Shown up front in profiles Automation

Input

Field Type Required Description
campaign_id string (uuid) Yes Campaign id.

Result

Returned in the { data, meta } envelope, without creating a job on X. Lists include next_cursor and has_more.

Example

Call over REST

curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/campaigns/00000000-0000-4000-8000-000000000001" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"

Call over MCP

{
  "method": "tools/call",
  "params": {
    "name": "campaign_get",
    "arguments": {
      "campaign_id": "00000000-0000-4000-8000-000000000001"
    }
  }
}

Errors you may get

Back to all operations